> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/remittance-api/business/material/query-material-links.md).

# Query Material Links

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/material/query-links`

### **Request Body**

**Refer to :** [**common**](/reference/remittance-api/common.md)

**Biz\_data**

<table><thead><tr><th width="258.10546875">Name</th><th width="97.08984375">Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr><tr><td>order_id</td><td>long</td><td>Collection ID</td></tr><tr><td>material_Id</td><td>long</td><td>Material ID</td></tr><tr><td>start_date<mark style="color:red;">*</mark></td><td>string</td><td><p>Begin time</p><p>Format: <code>yyyy-MM-dd HH:mm:ss</code></p></td></tr><tr><td>end_date<mark style="color:red;">*</mark></td><td>string</td><td>End time<br>Format: <code>yyyy-MM-dd HH:mm:ss</code></td></tr><tr><td>page_num</td><td>int</td><td>Default value:1</td></tr><tr><td>page_size</td><td>int</td><td><p>Default value:10,</p><p>Max value is 30</p></td></tr></tbody></table>

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":[
     {
     "link_id":100001,
     "material_id":100001,
     "order_id":"",
     "status":"",
     "created_at":""
      }
    ],
    "total":8,
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}

{% tab title="403" %}

{% endtab %}
{% endtabs %}

<table><thead><tr><th width="222.9921875">Name</th><th width="181.10546875">Type</th><th>Description</th></tr></thead><tbody><tr><td>link_id</td><td>long</td><td>Link ID</td></tr><tr><td>material_id<mark style="color:red;">*</mark></td><td>long</td><td>Material ID</td></tr><tr><td>order_id<mark style="color:red;">*</mark></td><td>long</td><td>Order ID</td></tr><tr><td>status<mark style="color:red;">*</mark></td><td>integer</td><td>Status <code>1-enabled 2-disabled</code></td></tr><tr><td>created_at</td><td>string</td><td><p>Created At</p><p>Format:<code>yyyy-MM-dd HH:mm:ss</code></p></td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

```
curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/material/query-links' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.
